<?php

namespace Drupal\disclosure_menu;

use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

/**
 * Twig extension to support Disclosure Menus.
 */
class DisclosureMenuTwigExtension extends AbstractExtension {

  /**
   * {@inheritdoc}
   */
  public function getFunctions() {
    return [
      new TwigFunction('disclosure_menu_subnav_toggle_icon', [$this, 'subnavToggleIcon']),
    ];
  }

  /**
   * Returns the render array for a subnav toggle icon.
   *
   * @return array
   *   The render array for the subnav toggle.
   */
  public function subnavToggleIcon(): array {
    return [
      '#theme' => 'disclosure_menu_subnav_toggle_icon',
    ];
  }

}
